#
# spec file for package python-google-cloud-compute
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-compute
Version:        1.18.0
Release:        1.1
Summary:        Google Cloud Compute API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-compute
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-compute/google-cloud-compute-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.0}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.19.5}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.0
Requires:       python-google-auth >= 2.14.1
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.19.5
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Compute API client library

%prep
%autosetup -p1 -n google-cloud-compute-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Set Fake default credentials for tests
mkdir -p $HOME/.config/gcloud
cat > $HOME/.config/gcloud/application_default_credentials.json <<EOF
{
  "client_id": "111111111111-1qq1q1qq1qqq111qq1qqqq11q1qqqqqq.apps.googleusercontent.com",
  "client_secret": "d-XXXXXXXXXXXXXXXXXXXXXX",
  "refresh_token": "1//1111111111111111111111111111-XXXXXXXXX-AAAAAAAAAAA_BBBBBBBBBBBBBBBBBBBBBB-CCCCCCCCCCCCCCCCCCCCCCCCCC",
  "type": "authorized_user"
}
EOF

%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/compute*
%{python_sitelib}/google_cloud_compute-%{version}.dist-info

%changelog
* Sun Apr 14 2024 Dirk Müller <dmueller@suse.com>
- update to 1.18:
  * Update Compute Engine API to revision 20240220
  * Add google-auth as a direct dependency (f3db074)
  * Add staticmethod decorator to _get_client_cert_source
    and _get_api_endpoint (f3db074)
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
  * Allow users to explicitly configure universe domain
* Mon Dec 18 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add fake default credentials to fix tests
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- add tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 1.15 (jsc#PED-6697)
